> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Certification Token

> Create a time-limited read-only access token for an external auditor.



## OpenAPI

````yaml /openapi.json post /v1/certification/tokens
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/certification/tokens:
    post:
      tags:
        - certification
      summary: Create Certification Token
      description: Create a time-limited read-only access token for an external auditor.
      operationId: create_certification_token_v1_certification_tokens_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CertificationTokenCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CertificationTokenCreateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CertificationTokenCreate:
      properties:
        compliance_report_id:
          type: string
          format: uuid
          title: Compliance Report Id
        name:
          type: string
          title: Name
        expires_in_hours:
          type: integer
          maximum: 720
          minimum: 1
          title: Expires In Hours
        max_access_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Access Count
        auditor_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Auditor Name
        auditor_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Auditor Email
      type: object
      required:
        - compliance_report_id
        - name
        - expires_in_hours
      title: CertificationTokenCreate
    CertificationTokenCreateResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        token:
          type: string
          title: Token
        prefix:
          type: string
          title: Prefix
        expires_at:
          type: string
          format: date-time
          title: Expires At
      type: object
      required:
        - id
        - token
        - prefix
        - expires_at
      title: CertificationTokenCreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````